Skip to content

Provisioning API (1.2.36)

Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com

Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The webhooks endpoint lets you create, update, and delete webhooks programmatically.

Operations

WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

Operations

WhatsApp

he WhatsApp endpoint enables programmatic login to your WhatsApp account and retrieval of its details.

Operations

WhatsApp Flows

The WhatsApp flows endpoint lets you retrieve and manage WhatsApp Flows associated with the project.

Operations

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

Operations

WhatsApp Solutions

The WhatsApp solutions endpoint offers a way for you to manage your WhatsApp solutions.

Operations

WhatsApp Templates

The WhatsApp template endpoint offers a way for you to manage your WhatsApp templates that can be used with the Conversation API. The WhatsApp templates are a requirement to send the initial outbound messages in the WhatsApp API.

Operations

Bundles

The bundles endpoint allows you to create and manage bundles of account resources.

Operations

KakaoTalk Categories

The KakaoTalk categories endpoint offers a way for you to manage all of the KakaoTalk template categories that you can use with the Conversation API.

Operations

KakaoTalk Senders

The KakaoTalk sender endpoint offers a way for you to manage your KakaoTalk senders that can be used with the Conversation API.

Operations

KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

Operations

Conversation

The Conversation endpoints allows you to retrieve information about channels used with Conversation API.

Operations

Get Instagram channel informationClosed Beta

Request

Returns the information for an Instagram channel linked to a Conversation API App.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

conversationAppIdstringrequired

The unique ID of the app. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/instagram' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Instagram information.

Bodyapplication/json
statusstringrequired

Channel integration status.

Enum"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
statusDescriptionstring

Channel integration description if status is ERROR or FAILED.

idstring

Instagram ID.

namestring

Public profile name if set.

usernamestring

Profile username.

biographystring

Public profile biography if set.

followersCountnumber

Total number of Instagram users following the sender.

followsCountnumber

Total number of Instagram users the sender follows.

mediaCountnumber

Total number of Instagram Media published on the sender.

profilePictureUrlstring

Public profile picture URL if set.

websitestring

Public profile website URL if set.

Response
application/json
{ "id": "1234567890", "username": "Sinch", "status": "ACTIVE", "followersCount": 1, "followsCount": 3, "mediaCount": 0 }

Get Facebook Messenger channel informationClosed Beta

Request

Returns the information for a Facebook Messenger channel linked to a Conversation API App.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

conversationAppIdstringrequired

The unique ID of the app. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Facebook Messenger information.

Bodyapplication/json
statusstringrequired

Channel integration status.

Enum"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
statusDescriptionstring

Channel integration description if status is ERROR or FAILED.

idstring

The ID of the page.

namestring

The name of the page.

globalBrandPageNamestring

The name of the Page with country codes appended for Global Pages. Only visible to the Page admin.

Response
application/json
{ "status": "ACTIVE", "statusDescription": "string", "id": "string", "name": "string", "globalBrandPageName": "string" }

Get Telegram Bot channel informationClosed Beta

Request

Returns the information for a Telegram Bot channel linked to a Conversation API App.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

conversationAppIdstringrequired

The unique ID of the app. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Telegram Bot information.

Bodyapplication/json
statusstringrequired

Channel integration status.

Enum"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
statusDescriptionstring

Channel integration description if status is ERROR or FAILED.

namestring

Name of the bot.

usernamestring

Username of the bot.

canJoinGroupsboolean

If the bot can be invited to groups.

canReadAllGroupMessagesboolean

If privacy mode is disabled for the bot.

supportsInlineQueriesboolean

If the bot supports inline queries.

Response
application/json
{ "status": "ACTIVE", "name": "Sinch", "username": "sinch_bot", "canJoinGroups": true, "canReadAllGroupMessages": false, "supportsInlineQueries": false }

RCS Accounts

Operations

RCS Questionnaire

Operations

RCS Senders

Operations